import Vue from 'vue';
import IMarkedText from './IMarkedText';
export default class MarkedText extends Vue implements IMarkedText {
    private sourceText;
    private marks;
    private controller;
    private colorOptions;
    private subjectStyleType;
    private onSourceTextChanged;
    private onControllerChanged;
    private onColorOptionsChanged;
    private onSubjectStyleTypeChanged;
    private spanDepot;
    private spanBatches;
    private colors;
    private activeSubjectNames;
    private subjectGlossary;
    private generateColors;
    private spanDataToStyles;
    resetSpans(): void;
    resetSubjects(resetActive?: boolean): void;
    resetSelection(): void;
    setSelection(begChar: number, endChar: number): void;
    getSelection(): [number, number] | null;
    subjectColor(subjectName: string): string | undefined;
    subjectStyle(subjectName: string): any;
    activateSubject(subjectName: string): void;
    deactivateSubject(subjectName: string): void;
    toggleSubject(subjectName: string): void;
    activateAllSubjects(): void;
    deactivateAllSubjects(): void;
    lineConnectSubject(subjectName: string): void;
    lineDisconnectSubject(subjectName: string): void;
    toggleLines(subjectName: string): void;
    metaStringEncloseSections(begSections: number[], endSections: number[]): void;
    metaStringDivideBatches(): void;
    removeMetaStrings(): void;
    beforeMount(): void;
    beforeDestroy(): void;
}
