import LeaderLine from 'leader-line';
import Vue from 'vue';
import IMarkedText from './IMarkedText';
declare type VMarkedText = Vue & IMarkedText;
export declare type SubjectStyleType = 'text' | 'background' | 'border' | 'underline';
export default class Subject {
    private markedText;
    name: string;
    color: string;
    private styleType;
    leaderLines: LeaderLine[];
    private xActive;
    get active(): boolean;
    set active(val: boolean);
    constructor(markedText: VMarkedText, name: string, color: string, styleType?: SubjectStyleType);
    get style(): any;
    lineConnect(): void;
    lineDisconnect(): void;
    toggleLines(): void;
    get cssClassName(): string;
    get spans(): Element[];
}
export {};
